Support » Plugin: WooCommerce Multilingual - run WooCommerce with WPML » 4.7.1 Woocommerce compatibility problem

  • With the latest version, every product save call the function update_lookup_table_data in class-wcml-product-data-store-cpt.php

    But for compatibility reasons, my website is running woocommerce 3.5 and lookup tables are not there yet.

    I think that the problem may come from the fact that i made an attempt to update woocommerce a few weeks ago before making a rollback. So the tables are in my database, but unused.

Viewing 1 replies (of 1 total)
  • Plugin Author sergey.r

    (@sergeyr-1)

    Hello French5000,
    Thanks a lot for reporting this!

    I’m sorry for this issue, we will fix it in the next minor update.

    You can update function in class-wcml-product-data-store-cpt.php to fix issue before new release

    public function update_lookup_table_data( $product_id ){
    		if( method_exists( $this, 'update_lookup_table' ) ){
    			$this->update_lookup_table( $product_id, 'wc_product_meta_lookup' );
    		}
    	}
Viewing 1 replies (of 1 total)
  • You must be logged in to reply to this topic.